Bug 599414 - Review Request: arcjobtool - ARC Job Submission Tool
Summary: Review Request: arcjobtool - ARC Job Submission Tool
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: StalledSubmitter
Keywords:
Depends On: 530684
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-03 07:56 UTC by Mattias Ellert
Modified: 2012-07-05 08:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-05 08:59:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mattias Ellert 2010-06-03 07:56:27 UTC
Spec URL: http://www.grid.tsl.uu.se/review/arcjobtool.spec
SRPM URL: http://www.grid.tsl.uu.se/review/arcjobtool-0.3.0-0.rc5.fc12.1.src.rpm

Description:
This is a graphical user interface for the Advanced Resource Connector (ARC)
grid middleware client. It offers among other things bulk job handling and
easy job description creation.

Since it uses the plug-in based ARC client library, it also supports submitting jobs to non-ARC grid-services like e.g. gLite CREAM provided the appropriate plug-ins are installed.

Comment 1 Mattias Ellert 2010-06-18 12:49:45 UTC
Updated to final version 0.3.0:

Spec URL: http://www.grid.tsl.uu.se/review/arcjobtool.spec
SRPM URL: http://www.grid.tsl.uu.se/review/arcjobtool-0.3.0-1.fc12.src.rpm

Comment 2 Mattias Ellert 2011-05-15 12:11:06 UTC
Updated due to changed Requires:

Spec URL: http://www.grid.tsl.uu.se/review/arcjobtool.spec
SRPM URL: http://www.grid.tsl.uu.se/review/arcjobtool-0.3.0-2.fc14.src.rpm

Comment 3 Steve Traylen 2011-08-08 16:38:13 UTC
Package Review
==============
arcjobtool: https://bugzilla.redhat.com/show_bug.cgi?id=599414
Monday 8th August 2012
Builds okay in Fedora 16 mock.


Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
Yes named as per tar ball.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on:
[x]  Rpmlint output:
$ rpmlint ./SPECS/arcjobtool.spec \
      ./SRPMS/arcjobtool-0.3.0-2.fc15.src.rpm \
      ./RPMS/noarch/arcjobtool-0.3.0-2.fc15.noarch.rpm
arcjobtool.noarch: W: no-manual-page-for-binary ui-cert-request
arcjobtool.noarch: W: no-manual-page-for-binary arcjobtool
[x]  Package is not relocatable.
[x]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
In principal not needed unless you target older releases which I am sure
you will.
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
Yes ASL 2.0
[!]  License field in the package spec file matches the actual license.
Some of the files in share/arcjobtool/images look to be GPL as well.
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
LICENSE file has been included.
[x]  Spec file is legible and written in American English.
Except for where it's not meant to be.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
md5um arcjobtool-0.3.0.tar.gz ../SOURCES/arcjobtool-0.3.0.tar.gz 
77bd43eb29d983ef2052f52db50fbc96  arcjobtool-0.3.0.tar.gz
77bd43eb29d983ef2052f52db50fbc96  ../SOURCES/arcjobtool-0.3.0.tar.gz
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[-]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[x]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
Not needed unles targete older builds
[x]  Package consistently uses macros.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[x]  Package contains a properly installed %{name}.desktop file if it is a GUI application.


=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on: F16.

[x]  Package functions as described.
Certainly the application starts up just fine.
[!]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[x]  File based requires are sane.


=== Issues ===
1. share/arcjobtool/images contains some dual licensed and exclusivly
   GPL.

2. Your %post, %pre and %posttrans all contain items for
   updating desktop database and similar.
   
   From 
   http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database

   it suggests this is only needed if a Mime type is being added which
   does not look to be the case.

Comment 4 Steve Traylen 2011-11-18 23:48:42 UTC
ping.

Comment 5 Steve Traylen 2011-11-22 21:16:51 UTC
White boarding  as review stalled. Send me a private mail if anything changes.

Steve.

Comment 6 Mattias Ellert 2012-07-05 08:59:17 UTC
Software needs porting to updated ARC 2.0 python API.

Closing for now.


Note You need to log in before you can comment on or make changes to this bug.